import { ElementRef, Renderer2, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SdHoverCopyDirective implements OnInit, OnChanges {
    #private;
    private el;
    private renderer;
    copyText: string;
    sdHoverCopyDisabled: boolean;
    constructor(el: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdHoverCopyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdHoverCopyDirective, "[sdHoverCopy]", never, { "copyText": { "alias": "sdHoverCopy"; "required": true; }; "sdHoverCopyDisabled": { "alias": "sdHoverCopyDisabled"; "required": false; }; }, {}, never, never, true, never>;
}
